### Name: rawToLines
### Title: Convert text encoded as a raw binary vector to a string vector,
###   one line per entry
### Aliases: rawToLines
### Keywords: file

### ** Examples

library("uncompress")
## Not run: 
##D 
##D ## Example 1 - load a file as binary data, then split it into strings by line.
##D handle <- file("file.txt", "rb")
##D # The size here is arbitrary, it should be large enough for most files,
##D #  adjust as necessary.
##D data <- readBin(handle, "raw", 99999999)
##D close(handle)
##D text_lines <- rawToLines(data)
##D print(text_lines)
##D 
##D ## Example 2 - the same, except does the conversion 1000 lines at a time.
##D handle <- file("file.txt", "rb")
##D # The size here is arbitrary, it should be large enough for most files,
##D #  adjust as necessary.
##D data <- readBin(handle, "raw", 99999999)
##D close(handle)
##D start <- 0
##D while( 1 ) {
##D         text_lines <- rawToLines(data, start, 1000)
##D         if( length(text_lines) == 0 )
##D                 break;
##D         print(text_lines);
##D         if( length(text_lines) < 1000 )
##D                 break;
##D         start <- start + 1000
##D }
##D 
## End(Not run)



